Skip to main content

Refund Request

Request parameters used to validate or capture a refund.

usernamestringrequired

Username used to authenticate the merchant.

Example: USER
passwordstring<password>required

Password used to authenticate the merchant.

Example: PASSWORD
rtidstringrequired

Unique refund transaction identifier.

Example: dv-ref-test8-refund
mtidstringrequired

Merchant transaction identifier of the original transaction.

Example: dv-ref-test8
utcOffsetstringrequired

UTC offset of the refund request.

Example: +00:00
amountnumber<double>required

Amount to be refunded.

Example: 10
currencystringrequired

Currency of the refund.

Example: EUR
subIdstringnullable

Optional sub-identifier.

customerIdTypestringrequired

Type of customer identifier provided in customerId.

Example: EMAIL
customerIdstringrequired

Customer identifier.

Example: customer@paysafecard.com
merchantClientIdstringrequired

Merchant client identifier.

Example: customer1
validationOnlybooleanrequired

Determines whether the refund is only validated or is captured.

Set to true to validate the refund. Set to false to capture the refund.

Example: true
languagestring

Language used for a pending refund.

Example: DE
countryCodestring

Country code used for a pending refund.

Example: AT
notificationUrlstring<uri>

Notification URL used for a pending refund.

Example: https://pendingrefundnotification
Refund Request
{
"username": "USER",
"password": "PASSWORD",
"rtid": "dv-ref-test8-refund",
"mtid": "dv-ref-test8",
"utcOffset": "+00:00",
"amount": 10,
"currency": "EUR",
"subId": "string",
"customerIdType": "EMAIL",
"customerId": "customer@paysafecard.com",
"merchantClientId": "customer1",
"validationOnly": true,
"language": "DE",
"countryCode": "AT",
"notificationUrl": "https://pendingrefundnotification"
}